1. Production
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
      • Sign-up
      • Refresh Token
    • User
      • Resources
      • User Information
      • User Information
    • Buildings
      • Building Details
      • All Buildings
      • Construct Building
      • List of Possible Construction
      • Possible Prudctions of a building
    • Production
      • Cancel Production
        DELETE
      • Start Production
        POST
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. Production

Start Production

Developing
POST
/production/start/
Starts a production for the given building id. Type of production and amount of cycles are provided. Input materials used are subtracted immediately. Output products are added after completing the production via internal GameManager.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "building_id": 0,
    "id": 0,
    "cycles": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/production/start/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "building_id": 0,
    "id": 0,
    "cycles": 0
}'

Responses

🟢201Created
application/json
Body

Example
{
    "id": 0
}
🟠400Insufficent Product
Modified at 2025-02-22 19:19:49
Previous
Cancel Production
Next
Shipment
Built with